petsc-3.4.2 2013-07-02

# MatSeqBAIJSetPreallocationCSR

Allocates memory for a sparse sequential matrix in AIJ format (the default sequential PETSc format).

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatSeqBAIJSetPreallocationCSR(Mat B,PetscInt bs,const PetscInt i[],const PetscInt j[], const PetscScalar v[])

Collective on MPI_Comm

### Input Parameters

| A | - the matrix
| i | - the indices into j for the start of each local row (starts with zero)
| j | - the column indices for each local row (starts with zero) these must be sorted for each row
| v | - optional values in the matrix

### Keywords

matrix, aij, compressed row, sparse

### See Also

MatCreate(), MatCreateSeqBAIJ(), MatSetValues(), MatSeqBAIJSetPreallocation(), MATSEQBAIJ

Level:developer
Location:src/mat/impls/baij/seq/baij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages